﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ConditionalIconAfterTheNode
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new List<Data>
            {
                new Data 
                {
                    Name = "Item 1",
                    IsNew = true,
                    IsUpdated  = false,
                    Children = new List<Data>
                    {
                        new Data { Name = "Sub 1: 1" },
                        new Data { Name = "Sub 1: 2" },
                        new Data { Name = "Sub 1: 3" },
                    }
                },
                new Data 
                {
                    Name = "Item 2",
                    IsNew = false,
                    IsUpdated  = false,
                    Children = new List<Data>
                    {
                        new Data { Name = "Sub 1: 1" },
                        new Data { Name = "Sub 1: 2", IsUpdated = true },
                        new Data { Name = "Sub 1: 3" },
                    }
                },

                
                new Data 
                {
                    Name = "Item 1",
                    IsNew = false,
                    IsUpdated  = true,
                    Children = new List<Data>
                    {
                        new Data { Name = "Sub 1: 1", IsNew = true },
                        new Data { Name = "Sub 1: 2", IsUpdated = true },
                        new Data { Name = "Sub 1: 3" },
                    }
                },
            };
        }
    }

    public class Data
    {
        public string Name { get; set; }
        public bool IsNew { get; set; }
        public bool IsUpdated { get; set; }

        public List<Data> Children { get; set; }
    }
}
